Subject: FW: Interchange Acknowledgments - TA1 Segment
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 31 Jan 2002 11:43:41 -0800 (PST)

Info related to the TA1 action item given in the RMS meeting today.
 
Also attached is the email I originally sent to SET on August 1, 2001.
 
Thanks,
Dave Darnell
===========
602-432-3353
 - X12-5v4010.pdf 
 - ISA_IEA.doc 
Content-Transfer-Encoding: 7bit
Reply-To: <[email-masked]>
From: "Dave Darnell" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Subject: ISA/IEA and GS/GE Control Segments doc - FA Reconciliation
Date: Wed, 1 Aug 2001 15:50:37 -0700
Message-ID: <005901c11adc$63c77d70$a815a8c0@tecradaved>
MIME-Version: 1.0
Content-Type: text/plain;	charset="iso-8859-1"
X-Priority: 3 (Normal)
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook, Build 10.0.2627
Importance: Normal
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2600.0000

Who owns the ISA/IEA and GS/GE Control Segments doc?

I have a suggestion for it...

It might be helpful to have information something like this in it:

The GS06 (Group Control Number) of the sender's EDI GS envelope is
used in the responding 997 transaction to enable 997 reconciliation.
It is returned to the sender in the 997's AK102 element.

In other words, the GS06 and AK102 elements are used in reconciling
outbound EDI transactions with the inbound Functional
Acknowledgments (997).

There is no provision in the ANSI X12.5 standard for returning an
ISA number in a 997.

Interchange acknowledgment and reconciliation is enabled with the
responding TA1 segment:

<<QUOTE FROM X12 standard>>
Interchange Acknowledgment TA1

To report the status of processing a
received interchange header and trailer or
the non-delivery by a network provider

CONTROL SEGMENT
TRANSACTION SETS USED IN:
None
REF ELE ID ATTRIBUTES NAME
01 I12 Interchange Control Number N0 9/9 M
02 I08 Interchange Date DT 6/6 M
03 I09 Interchange Time TM 4/4 M
04 I17 Interchange Acknowledgment Code ID 1/1 M
05 I18 Interchange Note Code ID 3/3 M
<<ENDQUOTE FROM X12 standard>>

<<<NOTE FROM D.DARNELL>>>
I could find no reference to TA1 segments in our TX SET documents..
so if there is somebody please point me to it. The TA1 segment may
be worthy of future discussion in the TX SET work group.

Meanwhile .... I would recommend that the GS06 (GS control number)
always be unique for a trading partner/functional group. You could
do this by incrementing by one every time you ran a map... and then
storing the last GS06 sent for use by the map (to increment) next
time around. If you ALWAYS have only one Functional Group per ISA..
then you could make the GS06 the same as the ISA control number
(ISA13).

COMMENTS??

Best Regards,
Dave
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Dave Darnell
Systrends, Inc
7855 South River Parkway, Suite 111
Tempe, Arizona 85284
Web: www.systrends.com
Phone:480.756.6777 x201, Mobile:602.432.3353,eFax:208.441.6982
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 - NY EDI TOP 1-24-01.doc